Create an API key

When authenticated with an API key, this operation requires api-admin.

Authentication

AuthorizationBearer
Console user session or Mixlayer API key supplied as a Bearer token.

Path parameters

org_idstringRequired
Organization ID

Request

This endpoint expects a nullable object.
expires_atdatetime or nullOptional
Expiration timestamp, which must be in the future. Omit or use null for no expiration.
namestringOptional<=200 characters

Human-readable key name. Whitespace is trimmed and the maximum length is 200 characters.

permissionslist of enumsOptionalDefaults to ["inference"]

Permissions granted to the key. Defaults to inference and must contain at least one permission.

Response

API key and its one-time secret

dataobject

User-facing API key metadata with its one-time secret.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
413
Content Too Large Error
415
Unsupported Media Type Error
422
Unprocessable Entity Error
500
Internal Server Error